--- debathena-libathdir-10.0.1.orig/debian/control
+++ debathena-libathdir-10.0.1/debian/control
@@ -0,0 +1,42 @@
+Source: debathena-libathdir
+Section: debathena/libs
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: cdbs,
+ debhelper (>= 6),
+ libtool,
+ automake1.9,
+ autoconf, autotools-dev, debathena-machtype
+Standards-Version: 3.8.4
+
+Package: debathena-libathdir0
+Section: debathena/libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: The Athena directory location library
+ A library to implement machine-specific directory location on Athena.
+ .
+ This package contains the shared athdir library.
+
+Package: debathena-libathdir0-dbg
+Section: debathena/debug
+Architecture: any
+Depends: debathena-libathdir0 (= ${binary:Version}),
+ ${shlibs:Depends}, ${misc:Depends}
+Description: The Athena directory location library with debugging symbols
+ A library to implement machine-specific directory location on Athena.
+ .
+ This package contains an unstripped shared library. It will be used
+ automatically by gdb for debugging libathdir-related issues.
+
+Package: debathena-libathdir-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libathdir-dev
+Conflicts: debathena-libathdir (<< 9.4)
+Replaces: debathena-libathdir (<< 9.4)
+Depends: debathena-libathdir0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Development files for the Athena directory location library
+ A library to implement machine-specific directory location on Athena.
+ .
+ This package contains headers and static libraries for development.
--- debathena-libathdir-10.0.1.orig/debian/compat
+++ debathena-libathdir-10.0.1/debian/compat
@@ -0,0 +1 @@
+6
--- debathena-libathdir-10.0.1.orig/debian/control.in
+++ debathena-libathdir-10.0.1/debian/control.in
@@ -0,0 +1,38 @@
+Source: debathena-libathdir
+Section: debathena/libs
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, autotools-dev, debathena-machtype
+Standards-Version: 3.8.4
+
+Package: debathena-libathdir0
+Section: debathena/libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: The Athena directory location library
+ A library to implement machine-specific directory location on Athena.
+ .
+ This package contains the shared athdir library.
+
+Package: debathena-libathdir0-dbg
+Section: debathena/debug
+Architecture: any
+Depends: debathena-libathdir0 (= ${binary:Version}),
+ ${shlibs:Depends}, ${misc:Depends}
+Description: The Athena directory location library with debugging symbols
+ A library to implement machine-specific directory location on Athena.
+ .
+ This package contains an unstripped shared library. It will be used
+ automatically by gdb for debugging libathdir-related issues.
+
+Package: debathena-libathdir-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libathdir-dev
+Conflicts: debathena-libathdir (<< 9.4)
+Replaces: debathena-libathdir (<< 9.4)
+Depends: debathena-libathdir0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Development files for the Athena directory location library
+ A library to implement machine-specific directory location on Athena.
+ .
+ This package contains headers and static libraries for development.
--- debathena-libathdir-10.0.1.orig/debian/changelog
+++ debathena-libathdir-10.0.1/debian/changelog
@@ -0,0 +1,46 @@
+debathena-libathdir (10.0.1-0debathena1) unstable; urgency=low
+
+  * Update our autogoo for the 21st century.
+  * Generate aclocal.m4 ourselves instead of copying in the standard
+    Athena aclocal.m4. (Trac: #334)
+  * Build libathdir as a shared library. (Trac: #70)
+  * Ship a pkgconfig file for libathdir.
+  * Bump debhelper compatibility.
+  * Bump standards version.
+
+ -- Evan Broder <broder@mit.edu>  Wed, 28 Apr 2010 16:29:46 -0400
+
+debathena-libathdir (10.0.0-0debathena2) unstable; urgency=low
+
+  * Export ATHENA_SYS and ATHENA_HOSTTYPE at build time, to make sure that
+    athdir has the correct compile-time constants built-in. (Trac: #570)
+
+ -- Evan Broder <broder@mit.edu>  Wed, 28 Apr 2010 13:23:11 -0400
+
+debathena-libathdir (10.0.0-0debathena1) unstable; urgency=low
+
+  * Change DEB_AUTO_UPDATE_AUTOCONF to 2.50, not 1.
+  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
+  * Change "Debian-Athena Project" to "Debathena Project".
+  * Remove debian/control from version control.
+  * Clean up debian/copyright.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 24 Jan 2009 15:23:36 -0500
+
+debathena-libathdir (9.4.0+cvs20050915-0debathena3) unstable; urgency=low
+
+  * Fix conflicts/replaces.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 02:32:10 -0400
+
+debathena-libathdir (9.4.0+cvs20050915-0debathena2) unstable; urgency=low
+
+  * Section: debathena/libs.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:48 -0400
+
+debathena-libathdir (9.4.0+cvs20050915-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 29 Jan 2007 23:57:37 -0500
--- debathena-libathdir-10.0.1.orig/debian/copyright
+++ debathena-libathdir-10.0.1/debian/copyright
@@ -0,0 +1,23 @@
+This package was debianized as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The Athena source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk>, and is licensed as follows:
+
+  Copyright © 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+The Debian packaging is Copyright © 2007-2008 Tim Abbott and Anders
+Kaseorg, and has the same license as the original software.
--- debathena-libathdir-10.0.1.orig/debian/rules
+++ debathena-libathdir-10.0.1/debian/rules
@@ -0,0 +1,24 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_AUTOCONF = 2.50
+DEB_AUTO_UPDATE_ACLOCAL = 1.9
+DEB_AUTO_UPDATE_LIBTOOL = pre
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
+
+debian/stamp-autotools-files: aclocal.m4 config.guess config.sub install-sh missing
+aclocal.m4:
+	touch $@
+config.guess config.sub:
+	cp /usr/share/misc/$@ $@
+install-sh missing:
+	-automake-1.9 --foreign --add-missing
+
+export ATHENA_SYS=$(shell machtype -S)
+export ATHENA_HOSTTYPE=$(shell machtype)
+
+clean::
+	rm -f configure aclocal.m4 install-sh missing libtool ltmain.sh config.guess config.sub
--- debathena-libathdir-10.0.1.orig/debian/debathena-libathdir0.install
+++ debathena-libathdir-10.0.1/debian/debathena-libathdir0.install
@@ -0,0 +1 @@
+usr/lib/libathdir.so.*
--- debathena-libathdir-10.0.1.orig/debian/debathena-libathdir-dev.install
+++ debathena-libathdir-10.0.1/debian/debathena-libathdir-dev.install
@@ -0,0 +1,5 @@
+usr/include
+usr/lib/libathdir.so
+usr/lib/libathdir.la
+usr/lib/libathdir.a
+usr/lib/pkgconfig
